library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use work.spi_bus_3slv.all;

entity spi_adc is
    generic (
        VREF: real;
        Tpd : time := 5 ns;
        Ts  : time := 5 ns
    );
    port (
        spi  : spi_slave;
        ain  : in real
    );
end entity spi_adc;

architecture Behavioral of spi_adc is
begin

    SIM: process
        variable adcdata : std_logic_vector(15 downto 0);
        variable cmd : std_logic_vector(15 downto 0);
    begin
        spi.dout <= 'Z';
        wait until spi.cs = '0';
        adcdata := STD_LOGIC_VECTOR(TO_UNSIGNED(INTEGER(ain * 65536.0 / VREF), 16));
        spi_bits(spi, 16, adcdata, cmd, Tpd, Ts);
--        case cmd is
--                ...
--        end case;
    end process SIM;
end architecture Behavioral;
