library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use work.spi_bus_3slv.all;

entity spi_dac is
    generic(
        VREF : real;
        Ts   : time := 5 ns
    );
    port(
        group spi : spi_slave;
        aout      : out real
    );
end entity spi_dac;

architecture Behavioral of spi_dac is
begin
    SIM : process
        variable dacdata : std_logic_vector(15 downto 0);
        constant dout    : std_logic_vector(15 downto 0) := (others => 'Z');
    begin
        wait until spi.cs = '0';
        spi_bits(spi, 16, dout, dacdata, 0 ns, Ts);
        aout <= 1.0;                    -- REAL(TO_INTEGER(UNSIGNED(data))) * VREF/65536.0;
    end process SIM;
end architecture Behavioral;
